GNU bug report logs - #57476
29.0.50; Mouse wheel event ignored on Lucid build

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Stephen Berman <stephen.berman@HIDDEN>; dated Mon, 29 Aug 2022 11:52:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 57476 <at> debbugs.gnu.org:


Received: (at 57476) by debbugs.gnu.org; 30 Aug 2022 15:16:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 30 11:16:01 2022
Received: from localhost ([127.0.0.1]:37046 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oT2y9-0001EX-EH
	for submit <at> debbugs.gnu.org; Tue, 30 Aug 2022 11:16:01 -0400
Received: from mout.gmx.net ([212.227.15.18]:48881)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1oT2y3-0001EG-8L
 for 57476 <at> debbugs.gnu.org; Tue, 30 Aug 2022 11:15:59 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1661872547;
 bh=41hkIp2BWEkQlY8XHdSBRIA1+YILIFlidWOl+g2bRBU=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:Date;
 b=B9YWGbVwzf5XZdjvuNyx3vZjXblnZWwzF9xWgbGwd/m0zL3yxsRyiDP2evoZADef0
 k7ZCLLJqv6TOo7OYHqnaEoE9EJKS7Mjvuz9Hu9xVVLfQkmLRKZjfgZcc3RcC9YpYGg
 f1/Yn3U5T+aiy81vRVcc82yd4WUIeoqMFfuPwgVY=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from strobelfs2 ([89.246.38.142]) by mail.gmx.net (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MDysg-1oaiSl1gZA-00A0tz; Tue, 30
 Aug 2022 17:15:47 +0200
From: Stephen Berman <stephen.berman@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#57476: 29.0.50; Mouse wheel event ignored on Lucid build
In-Reply-To: <87bks1ongm.fsf@HIDDEN> (Po Lu's message of "Tue, 30 Aug 2022
 21:44:25 +0800")
References: <8735dfe08x.fsf@HIDDEN> <87tu5uplnq.fsf@HIDDEN>
 <87h71uw3bd.fsf@HIDDEN> <8735deox4u.fsf@HIDDEN>
 <878rn6vwsc.fsf@HIDDEN> <87tu5toq20.fsf@HIDDEN>
 <871qsxx50i.fsf@HIDDEN> <87bks1ongm.fsf@HIDDEN>
Date: Tue, 30 Aug 2022 17:15:46 +0200
Message-ID: <878rn5kbj1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:QuQxq0V8VeH04rG40PhXxzj+cdgwdgrGplWtZ7ab28yxfDmc9Dn
 WvnBD9V+okHS0DL92TLIN4aymeCET+UABbor3YOVAuanSaxcGBXgcoN+qSZciBGK9QRzaG/
 T7U8A9Me+u0ylsEhq7q3KfsM1W6aRoeNGLNsSKxvedt8gGVcF2d35kP1CjT1FwQQ97uDHrh
 6Fu8mTWQZ8FNFFcoCfSJQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:NwcBZde6o/M=:W2pp/poV1IfHY/1v+72yqE
 OjgMEGAPxPF9oIFQlC6SgkCZz64Nme6Ve6xwBMl7ghOHXS2ityYDozL81m5DOAJYxCQjIOIyp
 GPNwPD0YeWTWRG47Bc28bwfI/K49rwcBPdnO5OZErT2bvFzhL4X5AI6I3qWWXIb2Q4fYT1KQ1
 C1a0QAZ4KahsS/Qnq0nIyPguSipTag1q74h4rR52CtPADYRKpWyiWE4oDKjoM6UjupNnlQBxo
 TlXrEXjcqHlM7Ngm8MFhhPrKKI38dD/Y9xgMY+tlx1SKvo6Fk1oPA0CDnh09YlIkrWQEKroUn
 tGzRYitrVndE8NTKVlH5pdTcQXNqRcuNNVHmZ7HAL5+WfupynFBIvQYSW9yzCb/AxsQs14I7N
 zxVzy7FR9wxAeG0BbN2E8PKW3zXCa8N8wi3pklGGEsO/DcGUIc2ahqXtaQM2JjDYzFuwd9yfO
 ojW1De9MYZbkukAZDxEBKRWmB3Kj6IG0vn9tIQAVR5wsxY120aNgczp+QxSoNWdKAonJbSi71
 O0Wqru8YQko7ymFFUHpnw4PVFvoJB5mW1+9Bwg9vg72F3qhO0G+Re9n5dJuvutiL2ArRLomri
 8LEyZu4R3bbXlj+kDOU8c1TeKSmDwWjWVT9LIhMYEk5WIbaF3SGocje+l6UKJj6YiDZ3eD3Dz
 5FNpfZjZu/0ztRl+bhLc0h3ZQBbFHozyyGJFwW1+wlsjA/3BsXziQV0+2muPTDW7A+ABeKQXE
 01isSPwY5x4VQKHQ8drASZhbN3sc0n0wDYjqE6eFad05VBO/I+g+tPS1OV7BkVtFFaj7di8L3
 cq1b0+HAyHM2wZtq8mgxe+MZEr8uDKkKRyFXMpjtNsHE0eEV6/9/tInv9A88Edd3+eSjLQD3Z
 meghMOQAnnoQvD084GO6qYTeoWgZzoqedmkv859vD3E4/qPoJQ0S9w4NNXLobRNQXSgPQ4opv
 unpzQsBii1ibZkphju/WDztC6nRSB4s6nMAK5dYN0nsrYagGihzcgG6exl9zjfXl9gkxUa/Fv
 B9LLqCxC4rYpkWvcsNx1cXAsYkHA2Vr1FRaSULbOtU/MYeWO44g4c6lBxjiDvvfwupGD5m4qA
 +osxTqWl8XjgOWNWCZlySsusa9xTQ7nhRuoZvWrENK/V/riAWWG09ZfWKN6s67YQCxU6IHaSJ
 VLC0DXCErPaX5WDEdD7bn84w77
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 57476
Cc: 57476 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Tue, 30 Aug 2022 21:44:25 +0800 Po Lu <luangruo@HIDDEN> wrote:

> Stephen Berman <stephen.berman@HIDDEN> writes:
>
>> Yes:
>>
>> $ xfwm4 --version
>> 	This is xfwm4 version 4.16.1 (revision 5f61a84ad) for Xfce 4.16
>> 	Released under the terms of the GNU General Public License.
>> 	Compiled against GTK+-3.24.31, using GTK+-3.24.33.
>>
>> 	Build configuration and supported features:
>> 	- Startup notification support:                 Yes
>> 	- XSync support:                                Yes
>> 	- Render support:                               Yes
>> 	- Xrandr support:                               Yes
>> 	- Xpresent support:                             No
>> 	- X Input 2 support:                            No
>> 	- Embedded compositor:                          Yes
>> 	- Epoxy support:                                Yes
>> 	- KDE systray proxy (deprecated):               No
>>
>> Perhaps the missing XInput2 support is causing the problem?
>
> Please try enabling that, but we should work around the bug in xfwm
> builds without XInput 2 anyway.

I rebuilt xfwm4 with --enable-xi2, logged out and back in, but still the
Lucid build does not respond to mouse wheel scrolling.  (I also tried
rebuilding Lucid without --with-xinput2, but that also made no difference.)

> In fact, this bug was fixed several months ago, but the fix disappeared
> sometime during the following cleanups to the scroll valuator management
> code.

Well, here's hoping you find it again!

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57476; Package emacs. Full text available.

Message received at 57476 <at> debbugs.gnu.org:


Received: (at 57476) by debbugs.gnu.org; 30 Aug 2022 13:44:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 30 09:44:44 2022
Received: from localhost ([127.0.0.1]:35181 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oT1Xo-0004fM-KM
	for submit <at> debbugs.gnu.org; Tue, 30 Aug 2022 09:44:44 -0400
Received: from sonic304-21.consmr.mail.ne1.yahoo.com ([66.163.191.147]:43737)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1oT1Xl-0004f8-Gg
 for 57476 <at> debbugs.gnu.org; Tue, 30 Aug 2022 09:44:42 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1661867075; bh=jEVyJ0RU8ONuszpa/ZfQSQUR5WWTUI4yG1hsTzI62Rk=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=sGyBy1gGvGg6jlfoGewG05RUphWWbv9uro8/FxqGBDr0eTFF8MuC2HeoTdqHliVP6qzPDW0TENWyz3ZxA+nZuUUH+rMWQ/7mxalJplyVz6uKQ+Lud4x4dcxfOo7pVMfwXv+bzeefIwLRtxgtPwYO3XMAkkBevsfCrKB8XHGuLW4kVTPDrTfFQWyqDSDXMi/90h4xBMQL0BAjwVxvbQfyPHzhKZf19oZMAO0fF17tmf5UAr3a0juHVrRelyui9nMzJqHhNcuYkt3R/UKs9izdn+jmH5hFH1DuaKQOfwtbCX+0zT++IaXOuxnOrIahOsmuilAiL+MhQfIuCJdEln8RwA==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1661867075; bh=SdZXlHb75W8h8bmhUVat3kgRPlr/PmJVGmso68jOwEc=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=UHU5PDFDRkYeAWfGy+LHfDuv2cwP6CUPHKnoHGri1mCM0k9CK8Bdr8RUky+zkKfby5qGzZDpvvL4PhXZQ/Hc7+yBwe5f4lIZde8gT/vINYclbA5drCb2YZaJp+0Qz/t1OhWoVcUeehVJ0/uLgLubXVciPfdnnF5rAK+yyfopRw9ZcqphAQ6iB13KFNZ7B/HStXuK1YNZVaReVBHXHxA3MLjvIMRJ3kWC8gCBE/MwAONv5yQsIKkR2hckrq3u+s7Ky70tOjGVtUIJurcwT94u/404KlSKaNiOgRSdbYpw/0PGrw0PBiQn6Of5CuH8JZk9LzwWUJxO5Iv87fSIsRIh/w==
X-YMail-OSG: dMgiAQwVM1kiGIGFF3_wrsBBDdWbDkb9ZQFExq6E5nhsXqHLFwZiQnkMLH5XzzQ
 Y_Y32LVLmWY1.Hq3ZVONT5yT58LqwDyGdB7dJwXuhlIBNrCNGIQ5fJy53D7ht.wTJGo0kWb2BRQx
 H9ge31ZNqM9kYHz31ls0hMzmAblmO1caJX.gNKuHPfsQasDaN_NK4gB7EdRbmhD4obJzWbxPvy6E
 4zr8acwTdxuKqYOwc36tdEPbZi7eDy1NAbWFYlgA4rzEMf0wtKADZqSsQMQxjvYRO0nGTk.AEZSn
 lf_8EtX2HyQKfp0NjafLOa0.phGnLpJz4E6tJJ_NOPqUklSDMRB5bFZWpmUGoaUK1nep4emIuTzJ
 QTgb.67g3eWXJHAnu_wiyVA9yNbierdEyw6ZSovYFeZ9h2AzR1huH9EBmIigw4QNt6kB9ORNATKp
 5Znw9mURSwvcpe0RmlG6XCIJp_W8xUgTUv6xppkoHwcYqjACkIANXbvdtg4Lf.77OSBlChJUSnuH
 TTHfTOybnNKH2PAwLrgSXDj3PFdFtW9388mtXJq2UHEEcW7cEgQgmP2mcdVsqaNHFTfS5DED5ucp
 nL1Y_mespHt664RcnF.SFxmjeF2qTho4qA6FEoQeRoA2UscQLQOSvX9Z5.O0m3koMD_HvqiCOqvD
 1zZ6mbCxsRQZn2aUB3B6iwJV14TSoTjWeDW2GVrq6I2iqIxWinfNnjzJqrTqiZGoi5oqSKZ9G2oE
 AWHwmtRuPCXnMn66yzK5QzFPxhEFDzx_P63wcXjGhW8P81HI_MDwp9cnbLu49Z23oTS50xsTGwDc
 tWXJkGQ12Udp2nBHETC37walZthMy_i9Pv4dPoiWEEfMKZB4MZ3p7X.qNmPDSbKoSsU4GDM5Mus3
 zmplSmwE062Q7DIRycR7gdWUtjhpE1b8vbqM4LXWcJ2cAxANAN0ZQ71JScLMOE5eZc1IBnzVNwTg
 LAUPS.lVYR516saekumFQDwJPZOeBAg9xS.UIi.g10KvGpY5fVklXxJXlDb4bGOhGBJfTzQYpj1k
 3msM3BFoZXmFLZ_Kpxc.AZ_j8BhHPAhGqIsm9ZepAPbd7HS3V8hd8q02gSg0BTWfmuQObqFML55A
 TTX71hbJ5l7Y_qLhKX9tRVFWgEHx7pFTxUfdbGtvIYrNA8uKNGFvUHl.OXglV2papvqsLo3HdNOI
 8bQ6dRaNQJ2Z_VRu7pcP6gzqf9iGH6MiATkRFpLi9GF.YNdDuyYzpB6Ijh.k9pGtr4ZZMH5phTJa
 fm4RCjkNI2lRfx3iMYbcvKiUh8hzmuAxqhA9_XWILWmE18F.lOkuU0sEWw81WZTXcBYwk59qIsU1
 CrTdD3_PZ9kC494hW5n5Mlh7PfEhnWh0oJ9TT4C0ZTMm0zQbKUUCru.ws67RgzrtjY_PMOaYox9b
 xZdncPjaAgakE97rfMNsVlGt_MOau_5Wc6ghcA5itnE1_8HaLT3tw27c9wPSsm6lzbKDaicHDdAA
 dxPxsdMyORohc1n5k7YzUOipeLgrCp5F0sB9KEiaA1CQ2mgG5Jt7KWW5lfL0MwSNPBYL_Z7aT4EF
 I.rXom6.CKGXeDr7lrO6Rvc1pg4JNAQOsevbGWc7iTEjGTDaQJpF9tofQBfWDJQfLXIFDM7.ZBRe
 bBL0pbg6AkESFT8dZuNktK_KU4DVW7j28FzElX3gvXss6s9XsBP7ZFV1EBiaK0lAI65YfzxErcXC
 kixIhXz_nCEihJLSKJ9kKs5JlW2ewRa9K3jQiJtuIaPTsUMoD2Ry_wtN8nDsoyikQaIeo9Q6Ewfb
 Ymr0vPqpDSpGNhb7DcnsfrNl142h7yVM7GzNaOu3YMh_980N3H73M4bndYKJ7LGUU8MMWnF2pG.8
 QKFDaxpLSTw06OxJWhtUj6Lv5.X78ALt2JXM2QjbMJuAwmpOCwtN7WGmq8w6Bh4YI_0A9uP_09yd
 Xla1cnmOY606IP6jeXLVPv9mQ3TNnJWEy.0cY741qT2zAwP8qebJaqFz5LNYpzvX_xgX4m8SvQmb
 nbzR8WbAIDyJ6TcCpmeQnlgb1qPc48sHPLOLX0KlCkGjPKEc22kcvyR8WjQXPPmDeu5G69fiibdT
 M6GRS3XikoTUS4Fatat2u9xZqo6TYns7cOfhCUAs2FWbI7i0BEA9OXoU1t7IWnLFeHmsBlfOA9Bz
 SBrHIdIkiMrtvDv9iciV7dj99SG_vNfiVSK3NhYrGaKSKvkAJVfVj2xwtyynpCO9.kFj3XouTak4
 FbHTxqPREcmKA3.Cd5vzomAiZP6fDa4eRvfmUNibLzGdiqaJGLLBYtz8Q2rVnOJZlM8V8wItZC6N
 5ziviCVlbxTeL
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic304.consmr.mail.ne1.yahoo.com with HTTP; Tue, 30 Aug 2022 13:44:35 +0000
Received: by hermes--canary-production-sg3-6f58cd9b5-98n4d (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID 2a458b1fa788b24294b0aca6f7581478; 
 Tue, 30 Aug 2022 13:44:30 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#57476: 29.0.50; Mouse wheel event ignored on Lucid build
References: <8735dfe08x.fsf@HIDDEN> <87tu5uplnq.fsf@HIDDEN>
 <87h71uw3bd.fsf@HIDDEN> <8735deox4u.fsf@HIDDEN>
 <878rn6vwsc.fsf@HIDDEN> <87tu5toq20.fsf@HIDDEN>
 <871qsxx50i.fsf@HIDDEN>
Date: Tue, 30 Aug 2022 21:44:25 +0800
In-Reply-To: <871qsxx50i.fsf@HIDDEN> (Stephen Berman's message of "Tue, 30
 Aug 2022 14:58:05 +0200")
Message-ID: <87bks1ongm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20595
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 1120
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57476
Cc: 57476 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stephen Berman <stephen.berman@HIDDEN> writes:

> Yes:
>
> $ xfwm4 --version
> 	This is xfwm4 version 4.16.1 (revision 5f61a84ad) for Xfce 4.16
> 	Released under the terms of the GNU General Public License.
> 	Compiled against GTK+-3.24.31, using GTK+-3.24.33.
>
> 	Build configuration and supported features:
> 	- Startup notification support:                 Yes
> 	- XSync support:                                Yes
> 	- Render support:                               Yes
> 	- Xrandr support:                               Yes
> 	- Xpresent support:                             No
> 	- X Input 2 support:                            No
> 	- Embedded compositor:                          Yes
> 	- Epoxy support:                                Yes
> 	- KDE systray proxy (deprecated):               No
>
> Perhaps the missing XInput2 support is causing the problem?

Please try enabling that, but we should work around the bug in xfwm
builds without XInput 2 anyway.

In fact, this bug was fixed several months ago, but the fix disappeared
sometime during the following cleanups to the scroll valuator management
code.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57476; Package emacs. Full text available.

Message received at 57476 <at> debbugs.gnu.org:


Received: (at 57476) by debbugs.gnu.org; 30 Aug 2022 12:58:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 30 08:58:17 2022
Received: from localhost ([127.0.0.1]:35092 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oT0oq-0003Vn-St
	for submit <at> debbugs.gnu.org; Tue, 30 Aug 2022 08:58:17 -0400
Received: from mout.gmx.net ([212.227.15.18]:59239)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1oT0oo-0003VX-Bz
 for 57476 <at> debbugs.gnu.org; Tue, 30 Aug 2022 08:58:15 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1661864286;
 bh=fSvnm2gqo/+9hwaJIzFMWPNNveHJuIrabTYZRPhzgOs=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:Date;
 b=F0ta20sx1XIRyBTc1/KbuannD1Ce6xQMgLKLctzZh9tdYyO41cThTgpueYMUMfUbU
 NVwIHPDI4DB2Jb73rVnNCThwnYxX0OMwW9tEeuEtLa3F/XSSoU8HWqvrbwWEdLzAgY
 8Gmo5rCIBzMMCEgPjkZ5RI9/TQXXQrrEd4wKRulc=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from strobelfs2 ([89.246.38.142]) by mail.gmx.net (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1N95e9-1pVte51TEd-0169Sl; Tue, 30
 Aug 2022 14:58:06 +0200
From: Stephen Berman <stephen.berman@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#57476: 29.0.50; Mouse wheel event ignored on Lucid build
In-Reply-To: <87tu5toq20.fsf@HIDDEN> (Po Lu's message of "Tue, 30 Aug 2022
 20:48:23 +0800")
References: <8735dfe08x.fsf@HIDDEN> <87tu5uplnq.fsf@HIDDEN>
 <87h71uw3bd.fsf@HIDDEN> <8735deox4u.fsf@HIDDEN>
 <878rn6vwsc.fsf@HIDDEN> <87tu5toq20.fsf@HIDDEN>
Date: Tue, 30 Aug 2022 14:58:05 +0200
Message-ID: <871qsxx50i.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:Ceh3qda6L2cxOGMa30KCdTes3gs40j+wBIIWfa8PsA3Y4/d/MeI
 dHNtsAO76IHGvWSXkgyYV+qXzRbmJVLKr1GwnZB8QLUPh8hRTGiEFQhTbx21j9B4I55LOQv
 WefurP5BVx14jkjUYt0/wznD3FN6BQ5RJXtkuq1kRzO7NqUXZepWEog5ZFGjvZfDRGhiiWY
 nHjIi8zD3RKRlgpRcX6xg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:h1gvDKsJpWg=:srJHhYwmg3NmLYzuqhNUaT
 pUBYUGUs5FZd44qeeAEL+A6UZ/MftZ6FHLoGTyghV2SyuLvkTK7j4NGibx4pkaKAzc5FqMlR2
 lnzRN/F8hmraNnYTaNprG0oikrJhyHG8/S1hu+aNL8MyyF4dWk45EkzQhN2d+EIBiEnsxgAv2
 iQy97yqWHhAq/nphYAah9/w4S8UGiEvpWUDccdxuBfm1yGd/JgJzStdalmeBgKJIFaYrhHeWS
 6asjkQqzWML0x9Htdj7t8qOGuW8kZOWSj7PnD9FYvexdheSJrQ2J8stJNn3IggxbEkA9kLdf9
 AmGi+POrbO5PIWiKTwH38KupbFioc9Zy3+rmvd3tOM/b5oEAnZ3P//jqbMX9wyhbbR11cguAP
 +HZIdFNwUkA4FLL9D/TLO9nse1oU+MWchriW9kDO/JrzSpzJ2ug2UUMNbbdSkbztxTOy4TsV7
 8wtOCmLrKlPlNT1EljjcZSXStiT1BvLXfPu+1JAqJ3cYz3g1rekuGtiIGlXtySZuE+NqnQLWw
 PVH9Ey2hfs/xFf4c4KEj0K2mLteLpxohcmWHrXy3qgIMAgsK8bPuOHfCeY3g0Pbsq8pvy5i4y
 vVefdhqLZDAUuMbGpoRIN+BI0EK4ZB4qucDDBYOqq5xYDzwxpVL8qGCx3SPtfsW+7fnDgm0Kn
 ugGBJMYRWz2e/oQFm2siUROrCwW77OV4dTS4MktgDd7hUPOLtAy3+fQhVeHAZipJerDR+52NM
 TFELsDp1D2n+JVs0rOierVRpayIPR52PKZgSmEUPwSKs5CsIfZFttx1//tPTeb80/6/q4UyX2
 q4CHiVM8zMeJY9PvOyVEBUeg26n22fWVn1REAzZkkvXH6MWlKAerBbjCqDl8o9iCDoTIlgf+E
 iyrqBuQF+L5WfcBkcC9CJlHRVdkYJAlMcaF38q0XPGAIr/xGKvDEt7gbYI0YDsRFEyHjT4gmm
 ScXzQTKc0+ZfZARJcffGSq9YA/c5++dykJDKEAb+oNW8lo7VQt9vgkFQtTmjKo8KjzfdCxfvi
 szmEPqnMSn0ZfAMvttOqqo9+iaRoVkhbBGwgSC6Cn2c43EqQpFuZKwrFLpzwxhwF7nyX4SYq0
 sI0JXy5HyIVQRXvs6q0z/LQlnCoF4vSHpjgRIuq42HTjlAfzUeRf65MYQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 57476
Cc: 57476 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Tue, 30 Aug 2022 20:48:23 +0800 Po Lu <luangruo@HIDDEN> wrote:

> Stephen Berman <stephen.berman@HIDDEN> writes:
>
>> This failed to build; I assume you meant leave->detail, which did build.
>
> Yes, that's what I meant, sorry.
>
>> The shell output looks like this:
>>
>> Enter 0 3
>> Leave 1 0
>> Enter 2 0
>> Leave 1 0
>> Enter 2 0
>> Leave 1 0
>> Enter 2 0
>> Leave 1 0
>> ... (and so on)
>
> [...]
>
>> After applying the patch and rebuilding, scrolling the mouse wheel is
>> still a no-op.
>
> What window manager are you using?
> Is it xfwm4 by any chance?

Yes:

$ xfwm4 --version
	This is xfwm4 version 4.16.1 (revision 5f61a84ad) for Xfce 4.16
	Released under the terms of the GNU General Public License.
	Compiled against GTK+-3.24.31, using GTK+-3.24.33.

	Build configuration and supported features:
	- Startup notification support:                 Yes
	- XSync support:                                Yes
	- Render support:                               Yes
	- Xrandr support:                               Yes
	- Xpresent support:                             No
	- X Input 2 support:                            No
	- Embedded compositor:                          Yes
	- Epoxy support:                                Yes
	- KDE systray proxy (deprecated):               No

Perhaps the missing XInput2 support is causing the problem?

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57476; Package emacs. Full text available.

Message received at 57476 <at> debbugs.gnu.org:


Received: (at 57476) by debbugs.gnu.org; 30 Aug 2022 12:48:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 30 08:48:44 2022
Received: from localhost ([127.0.0.1]:35082 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oT0fc-0003Hx-JX
	for submit <at> debbugs.gnu.org; Tue, 30 Aug 2022 08:48:44 -0400
Received: from sonic311-23.consmr.mail.ne1.yahoo.com ([66.163.188.204]:41246)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1oT0fX-0003HU-5G
 for 57476 <at> debbugs.gnu.org; Tue, 30 Aug 2022 08:48:40 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1661863713; bh=gqyBCwkWFSI3WSUyvIdWvwqZJuiBZXFzUQSzlZRCWBw=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=XkC6mXkEXHb5WvBIpbl9OXJZV8hiOx9Uvszzg7MaKOEKknNs8ZROyXdHbeahmhehI4k5K0rEvQrdg2GZiiSvXeui3F9qSTdXy2UMCL16CX1HbFrhzRA/w2KtPwyotNbkblBGSLYiYge/cjnwFnxV429w4UEq6C34w+g49FD7Pz6KVQ28uwzbeI+WcjCL1X2GI96GTlNiUhmdqQNQEkfrjsIagAHoINXKgBw28GwZqE8TbWo7KtElNQFoEjVXjw6CGYxVMEmo+B3k+QfI3r8Yfy++nQC5pWqe/IfOvZAfJUxwjNGMKWyDpnFouKjutGMjHB+97i43qkGOnyc148Um1w==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1661863713; bh=8MRKMLQQCCDTkL+ZQcoQuTtnh43dBA4qC4D4u+3Rnqd=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=A3UKtdDQLr5dNsFnNPGsihz48s76Rm4wV6Qe5X9on18zCmRhOLyPic08f67Ap0qgXev0lsInh3ZcJMCjJNdEKPuq27b3o1VJ9tSv6kT6PeRCbXa6LGrqA1p6Y4Bc3dXAhOatkIatuE6cqOjhin9nJ/CWY7zrw3XIrR8PxWon2adnWdR+M+jt/WsGJGgpR3SSiHqjEYisLkPqbPOXeAgI1FTHhAOQoLcyG+GTLwdtiWYtfb99uiAyK6NiiGIjFhxIKBbzPXfXE6KvUqPHPoHpppF+s5/wyeUpxFp/24Ay4xEb+yT9RMPv2Xj0D/Lvj6wwLxLd2YePP7+0+1Tst4xRUg==
X-YMail-OSG: 8p7Cl_gVM1mgKoccAtfvjyz2iwOaxOghInt4UPBeSmSDZ4L2eWTgtc9K3IBSO2H
 wtJEU5WlALq.a9ULZGuwhyuIi2ZZGqb6pC5v7O9XnSUCNrLq4JmMdyO_fTp0m68S1RYR72y6YQPq
 HJN3T27ebgQsMRNB6eXKSjbxoKHdz6NmaDtRouQbiNiUHn.qYfXmtBs34BCFQkgDzcIqXwaGhBN7
 0Obv1fIVmpc17NqpNU6Z03xwDADl0WISDBQWE072YXbmI2i0u0UU.5uz.0q39m7zlA.nmKNrBqx3
 F2wUQsRrPvhlMJaWOCcbR005ag.6iUmPlMyhTw9emDcO0F3acldZBB6shnQaSbLnTGYWGzyhXW4l
 4NxfN.nziYmpjUkxiccwmjZnTxCiSsyFgKwOuaPY5YyCZuI43EXQ4YPwQ_4wT7fcxil0_VeQ4e0U
 EnEHMQsL0oYaNJU.G_fz2douPQ5Vo1CwzDWA8whlRrrmtp67uho0wuDTG1i2Yp4b9IKic3FdEryN
 2e.c3X4UsCfOYbHGY0wX.jtAUpn.5aNTSzO1jtaulWiSBdKlxvDQGn5xeV5N.gTg_7rbAlK48xYN
 OdFnX_BzMwgkiRA8OWNe0mn5Dse4hUUkt_P_LhentuIed1O4gP1K7I1H0ymo7U1U3AFuYNUBl_0m
 rdCOOr135qt_WvEEnaP9vnYFwuQ4d1tqNvaFmB3_2WCOAu9LydrsiyV90gUMK4GdObtqA95z9yq.
 O7i8GOnvlaRjNPjuvPvkA1m5ClhnWabeKe6jI_gDwBN1Y5rOnQrFkhlzC0HMSCTj1vzDypukZxVq
 BmOwShGJNzF3LBj8Cc8R87jcbpi74xZnZfeVWRMfJOgGxNr9lFYyZGEAI9rYAm.qp.lm9dfjFOIk
 BAqwKv2rK.EHiymStrCw5rNG2WscnPZEQKwbcL5hwnkvbd2sgks8gp05c2lnu11biQf_UtITjqyy
 JPQlIZ8Hw7f_0FAc2z_WbC5to3dBpfbdZZc4riUqLig9dy88rYR77utr7hdzAh5GPW8.Yjr6fo2_
 9p6RSZFmgIMzY.vHFXuCyvFNny5mGjbWftFjJAO30nUFUAh_kJXrK7R.4WxBAB9ydePMK8P_xte0
 zD7siJ9xz8hR7Uhaiipm6b99lPw1xP.GjDsrMJxIDam6E7TfxVn97Pc7qShUlMI5shEzLlPK4wQm
 2jszcsMenowfeoCKnbu1AsoaUqJXlJsJGEgyvo6Sd0ADScYQB4mVnrSSMUVqB_Mg5.phUFk2FAjE
 ybXh031VvhvmQbNGVPQO1MItXIgfY2ZEOZJFi_c_uHilaaXb13Y5G0LnY_GCAgL5xu_Ctd9BXhAn
 pohei_bihZ0ZXD263FpT.wCpvOPIb56kgmwRHCtKk67HtyGJvXD54o6Z6jiOZi1jDcjDdlSVAEuT
 1wxD4SubfcUYUsu3npQM0MzsJYxyt.DeCWZZdHyWNhD6ZFxqcz2JNRBFIlXrvdnPkXjpL9XL8dZa
 1FdjMN4RlK__iQWq74iCTWCtJ3HM28UjsoPkajcFIxowcyTCiTHzb5B_1b821E20ywkqVudwYdqe
 1K4eJ.2SSRH7flCoDv.cQiolL6Y2UI1yPuNccQgkuvtmlgSR0G0EreekDOONB1MBalfh4cclhyRf
 mslj6v4ja6oId2TeaxVofQaqpkNJCRqpYpDwfkql1rAXuGoPMR.cQpRoeCW7xSdm3Fh4YyJ7aGsJ
 Js47A5pqs1wZXePmiaF86zGnTU0yrJBQd5KYapmXHb1gwCII9gZoxfqNWVwLvpVt_sUyuiLTdopE
 kPXf_C50foFRjoNcyh4YYP18pygD0u8fMvEkJy38ek.ekGY3WD6.mHuP8cnho06NPo4AH70_nYrJ
 Aw.vu.a7fU7ZAqkEGPvQjbOcnRL1Qqis0pl.u39HuyxSbecYnl5ykfGyvYdpswjuRZqEqfF.nfw.
 FB41h_2oG7jMuh7K5ZhjQn9lGrjhyTEEx.5YVPsPxK8wzVFuQcriReLsyz9kM3f3NUHdPT1Re3eX
 UOI2eUVvQyx47zGIm9.CUT9vHNczcG50.wQZA54mKOlNIDaiS041dpzfnODTYhubVhktemJh4F0Y
 bOUva3d1As2S5fxIw46vqHdje9IbX9rINp2cWaqFx75f8H1_VpMWnCevVXQTKJDjQh6CcbVFeqn4
 QmBSrCfO_UJpMdfFNadqd8J9UmB3Ofeu.XZZduy9nFCQ0diFB9EH4_EiFv3KWycykDq1x35QfGjF
 ywlCyy4BH25UikcfASWCtAVsPkH.149ITmI7L9._Wp3iMaY4O_fkeQ0WSoCd3XzJuINM1sTz3lZW
 Fm0my0ObEOA--
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic311.consmr.mail.ne1.yahoo.com with HTTP; Tue, 30 Aug 2022 12:48:33 +0000
Received: by hermes--canary-production-sg3-6f58cd9b5-pcmsn (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID bb4b8f10733eb186cd42e1f7372da5a8; 
 Tue, 30 Aug 2022 12:48:28 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#57476: 29.0.50; Mouse wheel event ignored on Lucid build
References: <8735dfe08x.fsf@HIDDEN> <87tu5uplnq.fsf@HIDDEN>
 <87h71uw3bd.fsf@HIDDEN> <8735deox4u.fsf@HIDDEN>
 <878rn6vwsc.fsf@HIDDEN>
Date: Tue, 30 Aug 2022 20:48:23 +0800
In-Reply-To: <878rn6vwsc.fsf@HIDDEN> (Stephen Berman's message of "Tue, 30
 Aug 2022 12:41:07 +0200")
Message-ID: <87tu5toq20.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20595
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 471
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57476
Cc: 57476 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stephen Berman <stephen.berman@HIDDEN> writes:

> This failed to build; I assume you meant leave->detail, which did build.

Yes, that's what I meant, sorry.

> The shell output looks like this:
>
> Enter 0 3
> Leave 1 0
> Enter 2 0
> Leave 1 0
> Enter 2 0
> Leave 1 0
> Enter 2 0
> Leave 1 0
> ... (and so on)

[...]

> After applying the patch and rebuilding, scrolling the mouse wheel is
> still a no-op.

What window manager are you using?
Is it xfwm4 by any chance?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57476; Package emacs. Full text available.

Message received at 57476 <at> debbugs.gnu.org:


Received: (at 57476) by debbugs.gnu.org; 30 Aug 2022 10:41:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 30 06:41:49 2022
Received: from localhost ([127.0.0.1]:34891 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oSygm-0001uO-Vb
	for submit <at> debbugs.gnu.org; Tue, 30 Aug 2022 06:41:49 -0400
Received: from mout.gmx.net ([212.227.15.19]:52157)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1oSygk-0001uA-Cq
 for 57476 <at> debbugs.gnu.org; Tue, 30 Aug 2022 06:41:47 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1661856098;
 bh=hhk72hkr8uK+XGy7NsUzZR0ydAmUMckUKaJJpMkujHU=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:Date;
 b=HKTgIodfIxep9IXpbf/JOZi33GQP5gVnsNO3ywlxoyz9vCo495VmZml1YyEtfYK8K
 j9/KgwJiUSDq01vUrGm8iOQsX5O//DnNedod50Fif09q0YFpsrRfqiuJzitFgOUzL1
 GAFaLem+VwcoithITD2NTFoWQomKwEYN262KsElk=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from strobelfs2 ([89.246.38.142]) by mail.gmx.net (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MrhQ6-1pE7ny31Ns-00neTB; Tue, 30
 Aug 2022 12:41:38 +0200
From: Stephen Berman <stephen.berman@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#57476: 29.0.50; Mouse wheel event ignored on Lucid build
In-Reply-To: <8735deox4u.fsf@HIDDEN> (Po Lu's message of "Tue, 30 Aug 2022
 18:15:29 +0800")
References: <8735dfe08x.fsf@HIDDEN> <87tu5uplnq.fsf@HIDDEN>
 <87h71uw3bd.fsf@HIDDEN> <8735deox4u.fsf@HIDDEN>
Date: Tue, 30 Aug 2022 12:41:07 +0200
Message-ID: <878rn6vwsc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:HtA1F9cSkCwxoCJD/wRlboSvtP+qENuB7P2mmqbepuIx5dJ9uAK
 DpRIk7pIvEpP/cR1cWy9+QYmM4htt6ysGCHwgJRDmDSAiHQAHqFh6ZS30h+37dmV329HMzV
 nFj17efx9Oab/FWJqp6vVhJljSmXPF8e3kt1vjmZV9qc+v+969rpetRMzGiIUMYOqjdxCc1
 mG253qeuTh4+32pFp4Ebg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:qxJLugkHTrI=:v2SgT1Ot0xVE4lugtiXt1E
 ju7K9GrUva2mjVsr9JSJe4qBMRlvWFons8b6oeNyjFgtvRJ2POLZZPbMoVQ5TRUyMMQOu5z5j
 RuqFP3l3kXT+VA1DwMgaVEmIKnDXrTxoscjJh4WaGxMVpCpR5CIl+rWBAVqkzQ+68a6CtjumC
 hmdZTQxXFgB+IbYE4j4dCHl3He9Su4c4HaCJcS9sdJJT+K6wwAyw910w0F3dPI1gWSXKQGWhy
 Ot5LF9689x3c82QqyxqxI0ahnc45IdsUHOfjaZi1K+waNazIoZbs+FFq2ffnSGjoeeWx+jKFs
 8RuZPEduyCufnDFgBybsn/WjWfl1vDNxUftcxx9DQAP8wYDqjh+Cv0EGuY3xsWhbTy4bG7Wl8
 c0WeZ/cTOL2l3YeCL0zIntIOvb5l9G3qSDlhll3Vtu/rPDj9491DZKWoB7NyP/mw4OOlJrKrE
 5kwzsHPq6Lfx9knmP0qRwmmm2gM12kGbshLH5vJNDytCLQk3Ry+eAIg1IRz2d1GakuwPFaEG9
 IO7g6irMQmW0bfyKN3andSWsLs854GLsRYpc/nbRq8ci/vToC7QawQiYZBREHpNFHeFiAFVk7
 yNmhJ1wXZMFoG1suGvC9Bwo3POVAADriqu/Li8LgEViScOJXLA/v3npvrPiYdW1laLzSpIl9v
 ZYb1k8X7BVDZy/WOOmP13k7BYhNo/z1gIyXIuUIYrGN1Cly84dZKJUqNHRUcZUFOJTtqyZ3Em
 0A9mB2qG4ZuIKRNCR79qanwdDopmAl5CQruD2u35LQRxcQqCq99eGDrtv8ah2ILDPyjc/wyEU
 KnBf6B5Ul/XkW7oRaOINWKXMjsVCPSD7tulprjox3GFtc6xPdkAIIo/K9oj8Zylm/ND+k+pGQ
 yamVGZoiSqRGjS/GqUCHsk/9e1S1sh+J5loV5unFGhbmR/c4PgPBM1PxT8bGhT2064HTGTOfn
 r+FSaubxRalWtU1HjOANdtrbx6CcTmxwimQWLhm0yQ3rblgG/9ttZwNBpp/jpZWgSwIcxOUni
 +zzcvYhEOPisINQJbFN4iMXUsAg57axvUn2mi0vZu192LG1uwKAjgpTbqk6ufRZiHbN51hpsP
 sNQdYqUkBb7yasxZdJSCbIOOGQj3cnDdU7oIwpEBPaI6pf8rm3uWgb88g==
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 57476
Cc: 57476 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Tue, 30 Aug 2022 18:15:29 +0800 Po Lu <luangruo@HIDDEN> wrote:

> Stephen Berman <stephen.berman@HIDDEN> writes:
>
>> 1.79769e+308
>
> Please instrument this piece of xterm.c, around line 20724, as follows:
>
>   	      xi_reset_scroll_valuators_for_device_id (dpyinfo, enter->device=
id,
> 						       true);
> #endif
> 	      printf ("Enter %d %d\n", enter->mode, enter->detail); <=3D=3D=3D
>
> 	      {
> #ifdef HAVE_XWIDGETS
> 		struct xwidget_view *xwidget_view =3D xwidget_view_from_window (enter-=
>event);
>
> and this piece of the same function, around line 20843, as follows:
>
> 	      if (device)
> 		xi_report_motion_window_clear (device);
> 	      printf ("Leave %d %d\n", leave->mode, leave_detail); <=3D=3D=3D=
=3D
                                                    ^^^^^^^^^^^^
This failed to build; I assume you meant leave->detail, which did build.

> and see what is printed as you move the mouse wheel.

The shell output looks like this:

Enter 0 3
Leave 1 0
Enter 2 0
Leave 1 0
Enter 2 0
Leave 1 0
Enter 2 0
Leave 1 0
... (and so on)

> Should it print "Enter" and "Leave" repetitively, please try the
> following patch:
>
> diff --git a/src/xfns.c b/src/xfns.c
> index 0b1f707e9f..bebac747fb 100644
> --- a/src/xfns.c
> +++ b/src/xfns.c
> @@ -3996,6 +3996,9 @@ x_window (struct frame *f, long window_prompting)
>    /* Make all the standard events reach the Emacs frame.  */
>    attributes.event_mask =3D STANDARD_EVENT_SET;
>
> +  if (FRAME_DISPLAY_INFO (f)->supports_xi2)
> +    attributes.event_mask &=3D ~(ButtonPressMask | ButtonReleaseMask);
> +
>  #ifdef HAVE_X_I18N
>    if (FRAME_XIC (f))
>      {
>
> Thanks in advance.
>
> P.S. I can't see anything wrong with that patch at first glance;
> however, it is a big change to very old code, so please report any
> issues that show up with it applied.

After applying the patch and rebuilding, scrolling the mouse wheel is
still a no-op.

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57476; Package emacs. Full text available.

Message received at 57476 <at> debbugs.gnu.org:


Received: (at 57476) by debbugs.gnu.org; 30 Aug 2022 10:15:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 30 06:15:49 2022
Received: from localhost ([127.0.0.1]:34820 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oSyHd-00013i-1u
	for submit <at> debbugs.gnu.org; Tue, 30 Aug 2022 06:15:49 -0400
Received: from sonic301-31.consmr.mail.ne1.yahoo.com ([66.163.184.200]:42325)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1oSyHa-00013U-Aw
 for 57476 <at> debbugs.gnu.org; Tue, 30 Aug 2022 06:15:47 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1661854540; bh=FvXFCHE05CgHOXxzhQxSn4PE/WC/jLlIiRfZb+IBWxI=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=jshaUNciGJQTTAo0PbfikDoABmZ2GZ71eeBpNvjEIkZXw5opMgGTBeMFxYmCcFrxPcsr/U6VKEhPNzTKDL0W2UTovejFa7Q/OUctR7HHEr9hHhu+zbn/I7btl3RCu+tEwXuV/IaOVq0gbI5EEZP2Xj1gl4OEFbW1WoCPeQMGr9yuV5x1QLTnnnskgWww0C5h+MZXTyEOIZVLH3fQ/rnW9tDK5hQl3slZHwHYiWUykIoV7A9yrCPLEhBQouvREaLM+ggJ9Q44NO3rmZvwOapHk466uWAfTuVvTE06V2j6yj+hEpwx5HZ/MjTmOmZXmdDSRy6lEDEdH/qN914LxuT5YQ==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1661854540; bh=UjSyChZbAZYTv1UbT3Bt0+yENV2hc02y2wNmehvaT/V=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=QlSiHmcg9vROIjGWv4h13GrdJjl49JuVb5rvX+zkxkytj54dbrvqftV71rA3trOKijfndZVhD2vqJv6ItE4ovPiSWyMHLvqxdKCnNXfTVaa8skMcDXseyfDp4O8ztPu+ojMWahtfYUQIXOhei9dti/HqOvORVgb/guNVg2XOFLn+NSiygNcF4rnUN0VqxhHmaG/sXZD1l9YPvmnJjak+BO1aniXz++IQKb9WTqa21qPPiju8g7BrEZu7XJ0joACOQK1AkAEbF66PcNVQKVNn4x8eSzvgXgDNY4RXBWl8XHpUzRyzUboB2rEiMvDS2cMqaVmxaRK0C5JnZ6S9m4WOLw==
X-YMail-OSG: rVke04YVM1ldmz6G1BsEYqdyl3rPxVUs6g0IGLql3_S4F6SQAzXPBvvq2dwkygn
 raBVfE6ZIfCj3ho_zjgKLJnXwyXzeZIRHtsn4o04W4S0FwqitV_J91q.4OJuB.8fr1qyUJ2AH54V
 K.MmgQyIhp40T8qW.leWjq4ADPVZUT7FeXh8gBcoR_vitEBZGxGGm2tLR4OvXQeoVnYOR76mVWzU
 0XVPlMIBloQvx0TNy1f5odxauIQZ9wOAlFNzxjjHFvwuK._nbWR9u9pz5WKwg7u.kEHFd5it6Ish
 C3tAjNuLOpPPTxWdXQTmblyYeuFw5xi.9tRzWXHRvJgUVQo47bbc2QsL1Q.wLG04eF_iZHl6p5HI
 GZq3Avmem8USfP9qypP.NW.riXBcaOHmYgEfZpr3yEn20mkIB_7c2GiImhWc1NmfjK_H3B2TojZb
 IGeoNzWJv74gR6rg24ONYAxtu4C1XW5AWqxFFLqo7qhEEIp5uLUtgWsFI3v_OX0HWjrJUOS2PpUn
 KLxr9MTMOdq5pHeq7xbGcnbwqzqhaD.WErq6iiZyWgJgXoFnLDEh81pM.FKCd051VWATM5i8uKha
 vDRWiKqD3xk0WfvdOgf7mxChodgvawqXlu7B2M_9o6iDVFZyqO3cjDIf7BJxcQDnfF45HMkgAaUf
 SVomrQYYLuV6E6RkzWwgHvY69pb4SNHeBErzq3E7yWKZWswfqCDbyKfUH28K0yrYL1JjK2KbgtNK
 8KV0K0omTPVbz6DxqO_ksRZL0va3yLnYGyssYKuZMfVqvtSNrY44MnC5kdfO4Nox3XMEF8xnrvyN
 SOpvePtgAiYlYBUGSKKRIFNxXNWPD3FzbJ_ynQemLxrh5JTWJmLUgCvuMkP9IXpgKxysPKVZ8mLB
 Xdeusf4ipmKA4poEqKeMTK5aQqwabKJQ6RHv8rOcx4A0n4RVC_AmQby5rjP3NE5RPsvYhsb3Qa3S
 7CYEDxBS9oAtYRRqrNPacj8V4Jy9wjWIJlLSdc37C7voVsVHGzIhS0gyjOliKW1OlTS0DLi3_xqQ
 MDwlr2D5buXLFgaHGX_YguNX6ubaKtGqNITWtn9NNl911AgcrU_8qCTi2BvBXifzF5be.BKWVzg.
 HFuPsBSQO1KoFbVY2B1oAwH.G_TC8UiQODjCEvisBunjJjf3ZBreJ4TEN8Uqf9ncErvl7GaSF7TM
 9ia3BWSyTYHJ6B89fgIvdzdQ.Sv6Bky2z.QwblcZjv76K91Zva5uwIoieAAEQOiA77rfZILrFX.s
 FWhEHz76.5L0W_W_g1lhoqRhboozjEGvuR3yQ85OZLDgGoDqZCUMkx9dFbRjY5_0.yZEAs90nxoT
 oYap7J.fD59a4_jnAF.xlnoCdmu06xaMKBQah8FB91zKwqdtKtaHUUkErjHAStAH8XZt2eRs3NqW
 5GnsDNGzlYpsEt9k7L_7n5kr0vnGAeUDuI8b4ttCBNxcvPR5Fb5ccusWEJ0EJynzUL7..VG9h7wQ
 MKILPM15j1EXoygJtyRekB3w.8n18A0IfnzeZMEKGGl5sTmkjiyWKwyr5HEBuNng.nuRMblgL4oL
 E45yiTX_UvPNBgI_eTTOJRWZC0x0Xf1LQpl2S4hwonHDEdFPZQJZuAERX8g1rg0NIKricwOGE.ya
 sY4v2gpQXQX86.4iPJGo_423hO6DLdkPPgm7GHmFyGvBxZEk5vSBoz0yzxLBG_qEE_2oDms2Bm3H
 Rcgze0YxJTX9h_3B.8IPLA_e6jpqXnv8g.FtgChFyH7Naf2czRtmqb6fekDmvhsTZkAxjTEVSuWx
 afkOCncygV9pZ5BE3vZ8wkV6aFM.Kod2puEw7Od3.2Tdtg5UzElhgpw.2E2LXNi3to9uhzgM6Uu7
 yJyGL3piP0rVF4RiKhhQgvic6wrP2V9Gd4Uppn_.3TdZaqNWYN8iE2MEBdNNpIkxaK2IiuP9gt.K
 dyRQ0K1gaVBDFXBbN_6aLQ6DUbEN0Oh6mW3dMgv6sNjsHe0wdhtJUeoniaGwGGd5OHoZGjqYVNDO
 eYVEOtI3FQEGU.aD2NUdNzQV0rS9totDinO1NqQozzdyMHwd7jkwJPN.0FVZbwW_QdcnoUE.G0Gv
 WubOT8UbeUVM4.NBc_ONpu85AaysDWx8YYtvJI27esmeuQHj3kNiqDT449c08eVFSWg.wklAvyr8
 c2xIc_4dpHWrXV5bfzUFU7MkP_vzBANq1hzOtt3UhxbOwwe_tNQh7wN2FeuaPiL7I9CN9kJPtCmY
 7fqt9UxNXkxsvTENo0pgkq4msTKtLGsqSGWhmyXidXqJsnujZ8x3rLnRNKH5cjD96yYGj6YdwWv_
 ffffs3w--
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic301.consmr.mail.ne1.yahoo.com with HTTP; Tue, 30 Aug 2022 10:15:40 +0000
Received: by hermes--canary-production-sg3-6f58cd9b5-fnk8z (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID 21008358c2fc70ae30aedc5961bf4455; 
 Tue, 30 Aug 2022 10:15:33 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#57476: 29.0.50; Mouse wheel event ignored on Lucid build
References: <8735dfe08x.fsf@HIDDEN> <87tu5uplnq.fsf@HIDDEN>
 <87h71uw3bd.fsf@HIDDEN>
Date: Tue, 30 Aug 2022 18:15:29 +0800
In-Reply-To: <87h71uw3bd.fsf@HIDDEN> (Stephen Berman's message of "Tue, 30
 Aug 2022 10:20:06 +0200")
Message-ID: <8735deox4u.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20595
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 1398
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57476
Cc: 57476 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stephen Berman <stephen.berman@HIDDEN> writes:

> 1.79769e+308

Please instrument this piece of xterm.c, around line 20724, as follows:

  	      xi_reset_scroll_valuators_for_device_id (dpyinfo, enter->deviceid,
						       true);
#endif
	      printf ("Enter %d %d\n", enter->mode, enter->detail); <===

	      {
#ifdef HAVE_XWIDGETS
		struct xwidget_view *xwidget_view = xwidget_view_from_window (enter->event);

and this piece of the same function, around line 20843, as follows:

	      if (device)
		xi_report_motion_window_clear (device);
	      printf ("Leave %d %d\n", leave->mode, leave_detail); <====

and see what is printed as you move the mouse wheel.

Should it print "Enter" and "Leave" repetitively, please try the
following patch:

diff --git a/src/xfns.c b/src/xfns.c
index 0b1f707e9f..bebac747fb 100644
--- a/src/xfns.c
+++ b/src/xfns.c
@@ -3996,6 +3996,9 @@ x_window (struct frame *f, long window_prompting)
   /* Make all the standard events reach the Emacs frame.  */
   attributes.event_mask = STANDARD_EVENT_SET;
 
+  if (FRAME_DISPLAY_INFO (f)->supports_xi2)
+    attributes.event_mask &= ~(ButtonPressMask | ButtonReleaseMask);
+
 #ifdef HAVE_X_I18N
   if (FRAME_XIC (f))
     {

Thanks in advance.

P.S. I can't see anything wrong with that patch at first glance;
however, it is a big change to very old code, so please report any
issues that show up with it applied.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57476; Package emacs. Full text available.

Message received at 57476 <at> debbugs.gnu.org:


Received: (at 57476) by debbugs.gnu.org; 30 Aug 2022 08:20:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 30 04:20:17 2022
Received: from localhost ([127.0.0.1]:34690 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oSwTp-0006W7-E9
	for submit <at> debbugs.gnu.org; Tue, 30 Aug 2022 04:20:17 -0400
Received: from mout.gmx.net ([212.227.15.15]:41279)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1oSwTn-0006Vn-6o
 for 57476 <at> debbugs.gnu.org; Tue, 30 Aug 2022 04:20:16 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1661847607;
 bh=l076G2bScMVO7YpWQtc7uOkCf8j2z3PznADBfF0jbtc=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:Date;
 b=DeCVeuKM6Ivp3IBJJ++srxKbyAMy1rBeGKlKefGYAQWW+eZjrKN6iFbnHTUP24eZk
 lFOt6nUb9M6gruB/zuzkkFlywF8cGGHcjcJbTf4nZvXnEh3CoP7iMRT0IBoC5PEieG
 AfiWauLnZuQA+ou90gwnLnrmYWoy6ujpRaoevpPQ=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from strobelfs2 ([89.246.38.142]) by mail.gmx.net (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1Msq6M-1pHKD03coi-00tE57; Tue, 30
 Aug 2022 10:20:06 +0200
From: Stephen Berman <stephen.berman@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#57476: 29.0.50; Mouse wheel event ignored on Lucid build
In-Reply-To: <87tu5uplnq.fsf@HIDDEN> (Po Lu's message of "Tue, 30 Aug 2022
 09:25:45 +0800")
References: <8735dfe08x.fsf@HIDDEN> <87tu5uplnq.fsf@HIDDEN>
Date: Tue, 30 Aug 2022 10:20:06 +0200
Message-ID: <87h71uw3bd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:WaFBefiia2N8mNJiVgw7TBhQx8+kpdOsYgAMmFAKRrkNnP0PEpL
 7EfWaxQubIcRR74MY/oB0aoUWvxgjzdjVxq5WV6XNWjXzX3Hhcv1KrqGPQAnWsWZLlZcBfz
 NPXFqq/5favMs6oUmCxmGoZdsyjEUbOjtYMEfGsnXNj3GkQcErW7rwBAL++9onJSTSPyL1o
 BbpsyJx4lKHTiOuPAGaHQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:WuUzFOTEtOw=:K1hQV96j/Ip8kLlcFBrKPX
 8dNKlnPaTjL9w4qUfeszxQYZL3y9kvMtfnl9288nP7sm2I6cEfPRUM4fUMOHiAIr/3+S3OVlR
 JgDjEZ2jHtONIJdGaZLZpuMKfyTlCGAnHiFixyW7sP7/GcCMt6ydlHoNlRI0cqIHrb99A71J5
 HJeJ4dX2bV2auoVkWnvUh2g9ZOeJVHLKwTXT5IwV1LKxScyWolJZsLNtqrD2lV6YmUnxcILAf
 8Z9z1+2qKjdYg69VhFH7RosQAGllxsjhAgM6kAj4c1cDpCVakoOBX4c/5jMy0kT9eJ9tqOYhV
 K2V4POTlQegSf1DSb5YDJKCxJfVZHmIlNPmkn42pm13sfPPnqMGgRpgAnJwy7iXi2YXb7bo49
 h9itf+y9XOiCf6iKqi01I9dXyfzcm5XpOYVFVdweu6Hzrv0W5xgzCC/6m4PRnhKcxC6dsiiPC
 /xNgWNpNppZiOIaTdeTDsYg5USaQKSiVYp8dbTsPeiVDVzriSD+0E58v7qYpZtiskupIp/a86
 b6qGITtBStuuPBWdQHHyIRTScmQDQ1aHlaEjZz0Mzr+p1DfTiN8iN01WN0iKASNXRvX74K0Hm
 QTPP4KMCVFIcZWFrTRPDjutXLr35CQUkq/wKnTKSkd8sVC5jEVloGrOVQIrjuqsplTSWdRrLt
 VqNf2MRc11kvQuiSfUv9UuxExAeFu8JqgadCJIa7A7FpWjUgN+5UpJiJpk1UNJPO/HyAR5NMn
 k95aHTQeL7BpIEIIU7lILTWnCHblZGrM4/XanDIcjDOhnPMTssrUo4Fm6kk6aejODpHdimRGD
 3maByitbdY6J43xrVsLkUAhORFPUVpL03ruLq/5qIUescvmKCbFeARUT7U/vU/vq7wSlkqzH3
 x7I1knOVuu/UsHuM1ZtkFLvTKdLmE9kgV/WfHgFSi9vXrxT4l/XOTFhYzVU1/NEY/QpSzUjxb
 8mhtpHNPYr8SHYnQBdWUyE7FI4jdEOiVBADAJL9XHn1/mWul1/jEwLP0iRSXQL4+ydyIrWN+7
 +ZB7pRrEafnOOXy/qdAlpSdZh67OaI7mXd3iu1Ewj3y0GRA6H76C8zCv8V48fFD1T7Jko2dAt
 gc82ervmdyXRRcj6N5wzX6cdi2d6nef0aCDX7QNMYiVvD+pazyN6F3Tfg==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 57476
Cc: 57476 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Tue, 30 Aug 2022 09:25:45 +0800 Po Lu <luangruo@HIDDEN> wrote:

> Stephen Berman <stephen.berman@HIDDEN> writes:
>
>> 0. emacs -Q
>> 1. Display a buffer with enough lines to scroll, e.g.:
>>    C-x d /path/to/emacs/sources RET
>> 2. Scroll mouse wheel
>> => The buffers fails to scroll.
>> 3. Type `C-h k' and then scroll the mouse wheel
>> => The echo area shows no input, only the prompt "Describe the following
>>    key, mouse click, or menu item: "
>>
>> I see this only on the Lucid build.  Also on Lucis, if I hold down
>> mouse-1 or mouse-3 and simultaneously scroll the wheel, then the buffer
>> does scroll.  After releasing mouse-1 or mouse-3, scrolling the wheel
>> scrolls the buffer once by one line (either up or down).  Further
>> scrolling of the wheel fails to scroll the buffer.
>
> To be clear here, you are talking about wheel-up and wheel-down events,
> correct?

Yes.

On Tue, 30 Aug 2022 09:29:34 +0800 Po Lu <luangruo@HIDDEN> wrote:

> Unfortunately, I cannot reproduce the bug on any build of Emacs.  Please
> instrument the following code around line 21053 of xterm.c as follows:
>
>
> 		      /* See the comment on top of x_cache_xi_devices
> 			 for more details on how scroll wheel movement
> 			 is reported on XInput 2.  */
> 		      delta = x_get_scroll_valuator_delta (dpyinfo, device,
> 							   i, *values, &val);
> 		      values++;
>
> 		      if (!val)
> 			{
> 			  other_valuators_found = true;
> 			  continue;
> 			}
>
> 		      printf ("%g\n", delta); <=== add this instrumentation
>
> 		      if (delta != DBL_MAX)
> 			{
>
> and show what is printed when you try to scroll using the mouse.

1.79769e+308

(This is printed in the shell I invoked emacs -Q from each time I scroll
the mouse wheel up or down.)

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57476; Package emacs. Full text available.

Message received at 57476 <at> debbugs.gnu.org:


Received: (at 57476) by debbugs.gnu.org; 30 Aug 2022 01:29:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 29 21:29:54 2022
Received: from localhost ([127.0.0.1]:34175 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oSq4g-0004JO-Bg
	for submit <at> debbugs.gnu.org; Mon, 29 Aug 2022 21:29:54 -0400
Received: from sonic316-21.consmr.mail.ne1.yahoo.com ([66.163.187.147]:33940)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1oSq4e-0004J8-Ay
 for 57476 <at> debbugs.gnu.org; Mon, 29 Aug 2022 21:29:52 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1661822984; bh=0bRQOj2qTBfFznc4UqkGB9VVkYGe7WhIT9HDwYoiJHA=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=htmW++Do2s0WIGtj2lwQf3f88InYUgL1AYbZX3OMQJcvjbCLL0BjXRVb4GL4Csa0YR1q/DP2OazQvukSAXtT8kIpjctBffirCLklroard5xWQ0ulh31arNvwr82SZiVIt+IJIdjENf/H4ZjnLIfnZ30sF62cqrglCthOizaxTSVnd1vblOW9e0aQdtN780UviTQ8Tbdkjx0EchJc/yaXF28U0AzUg82jJGyrOdaCCqZGBuwHqVZy6mPGZfi9K/FJeEk4b40RVZV49a8zmjZHwkZ4skvCtkS2x5z6IMNgDeU1X4hixiJvP/nCO/yO1uRhPJDlafYoRTetT4Wt1hke+A==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1661822984; bh=6LJg5DpT9sW1q2FtAt8ClChnzwMawMLfXfpHPKdR901=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=V8pjRo5h+BQFdJAK+gRui6TolOANsTknSFocn8UVN/rcMkbYsHSmMRa1JOWxl+TLY5w/J3pq3jndbho8MpLP4rrohCG7Y/x6k7ScDg5JTVR+qgvDkIIqEC7y2+H36vHv2zrYQiv7i4n1rDqJZ1w3+AIVE46XCNFvq2fJBkRgm0zPkfe3NyN8WXlm7RThZ6JjuuOUTmkvjWyD7Gw3GCwIUgbQ+XhTzPdbRrKCEnmgh9FnSnKWUcxIvOi59MFLwvuFx/quFSPk0sNH9mb9GSq+Ke3btATR0S274iGVUqDVOVCXBirbjwY9MTMr9fSenqzXFZCtwF4cdYg0A8NhH3OYPA==
X-YMail-OSG: j4svQCwVM1kLcEspZcCFP4oXJa6qHFv5sZYJk3PKuRybqjW6RjCeIJtjfhHMly4
 g9cb0jRGx6Ydh1ZGWu52zKpgSqCyBW3_dPvBDVYZbjEDxbLAYalZl9ADAnWqDi.ORzFJw3xtiMkF
 JBeIt0Wa7qsdyTnclqDUK7NtRIBqLjJ6SWkR07_wgeonD8iIjLybNvnNs4rESrDBfuwGvsKICdnW
 Sdzv2KGO4OCjRYYt.O7UYWkRtCNtwOjVP.BIcTstyWletBgq11nm6griNqvZ0OwJ6GyWdYNDGEWm
 ikm5ffWbL_LE3ppbJoiEocKbM.Qxxyut5OtiCSaH0nj_9acR6ZJ5t_HU0pgF9_Wf.eDRYlMd656v
 2NWirIV4qNiclpb_jAAojuzaoL1yGTrfT9sRLeGvEbHlKAc2GsMSz.xGPoqgsnBCTbQCt7iiAv5p
 CnsARWLJoddXai7udQON46cpySedTw3z4i0KSN8LzwdO0PixhIJ24CV_GeAymGIGhj0.7oeU5I_0
 w6bOhUjxgeFEJEkXtajtswiVTsxDc0RtyevA4RjtPouCVXcnYAvD0o5QoOIb3eLszf1lZ5_PdUi3
 WkaAXn1tMmCjkzpX63gOmblYvP0tnHjwLG9b.XH9EZ6nNfIj45ksAqnQm42r0YdywWWPyMbtts_J
 jN_C007yjDdJTbO_kzpCHpBrv8qu6J6PKGjufvVZX4O8BLr0rhCUr4I.K8N_X9anoF03ZGBaSWwP
 0nrl1KPDn2Oef_JcWLOPNVel_KOG6Qu1n_CWVgyR7ynlz0NygpKjUMCa1UFGx5g0bxX3fKhsIKxJ
 VypNnAHaj09TI6RwbOQwQp4XS3wDF3AgwEz5iiJBv3NfUw248wZgIY05i_BeOZsmp2CELGXUB7LP
 KpkIHkK6Vqd8wIS8Kdnr4pveWWF_NUQya5bjfmkA_bjvtEtrEfEA_41Y.CL6gU3YGWKhPfGtjc83
 PbIjDse05weTRB50i9APgeBKALyHknMN.8DJixvEkQFONvgenLuzUMSc79LiXv1ePTqaUXfs7VjF
 Ib47OZICifMQmJeqxss54oyVLfMeOB7yO8aGpVpGxXSlj_VYg8k.8ZIK_YoKnOZpjOcfilJpb0HR
 YqyfY9C6BmwncdmCVodKksy2IXU5yn9yl62VaBbolm09IZkiWevPkn2AwS7juZbeI.pAaBmsgCPV
 Vfg2rs35qTWLzFI6Xvf8VH9_aBDYqc3EGnDo7nZiorALY77_v602vtterCpL8OHEGkKBQz3b2LkS
 fIprxCFyoIuKs9rYCtzuZZdZsoIghTais3VH9OrrrSf1cPsQjNmmLzn.OFF0SMNym3HUz86L7j5E
 YyHGTjHs.FHOrX5bP.p.e85sjDMMjv41vglOUWgcty1ivjavaFKb9TCwXGN7jQPoR8GWEcAKlELQ
 5SJlLwWFyKVhIhIwCpXc5k9r7gCSgG51o.FW57rzPAzkqMO3KbZU7S4XgNXvPGpk2kJMFu2fvhfb
 vU2jElYqqNZ5bKAIje7OCP.J5FFRaB4UUhu9wku0N2Kz7NQxuYnkhH1XijmNoReu..u0nNZzq3dX
 vUkWz52NOyHpvTvxAD.etV81V.PbNu0cNP6DaZ4EAXQjiZiuJAioVN_U0VAnAjHuquCRzVpKhIMu
 mkI3qERMPMAIowZTW_n5VYd15BabwgsotsDCTaXRxma5tQJO5vPc7J2HmyNZ2zqQULzdX20JPd0J
 1RKOatiHiTQOjGkF4DQqTdVLN72LtnCacokHX0P9klx1DNuyxOly1P_LbB_rgE8ay2vFM.DywY1G
 6PpJqMnQTK9I8oTiaIQ90T1yK6g_Qm8ASuBCYGyrBQ8ZpHm_1PVsLecpSDE_BbCZ6Ff8Qyp8ldjN
 JC5Zc2NSOtfpxJp68ZNljrXR6M2E37s9HCmSHWd8SP0GGd8NXdQdOde4B98RC_AK_l0IEJcrYXK5
 TNcfu4cKGsFz9Fuavw2iYHb30Bakf1pcI5U.gciS_YiRruJbNbt8z0L0dsWDXvHJs8_bNTRXEGEE
 v.ofWKcp8KSFQ_GCTu5oraz07kR3Z4jvlMvHrXUCibMH_Ut.jxmxtbWZvo.NPIJ2aeHo3o9QYNLA
 ._77reLli0tNxmHJiHFSsHugu.7ZYlnV11SdHOE6W4LEECTjEQfK26DWiROLNSAB.QcZggzxK8E3
 zbhK0OquHTOYCKT1cekZbhP78jLLgCFVQ9BrkD_KgpC0oyUHf6RB7p9r1zWMnYqSw.ATIrYea1Aq
 g4ltfiLNCZLU48LpKz66YmsG.1CWlHBqc9wJI_s6I8gPPR4a1gQxY98RbeIs79icrAmszwMjDCjb
 qCJ20
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic316.consmr.mail.ne1.yahoo.com with HTTP; Tue, 30 Aug 2022 01:29:44 +0000
Received: by hermes--canary-production-sg3-6f58cd9b5-84qt6 (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID fc7f12f248e2ada7091ce0dadd28cc07; 
 Tue, 30 Aug 2022 01:29:40 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#57476: 29.0.50; Mouse wheel event ignored on Lucid build
References: <8735dfe08x.fsf@HIDDEN> <87tu5uplnq.fsf@HIDDEN>
Date: Tue, 30 Aug 2022 09:29:34 +0800
In-Reply-To: <87tu5uplnq.fsf@HIDDEN> (Po Lu's message of "Tue, 30 Aug 2022
 09:25:45 +0800")
Message-ID: <87pmgiplhd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20595
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 897
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57476
Cc: 57476 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Po Lu <luangruo@HIDDEN> writes:

> Input extension builds do not normally report mouse-1 or mouse-3; that
> only happens if the input extension could not be set up for some reason.

Please ignore that, I wasn't really thinking when I wrote this.

Unfortunately, I cannot reproduce the bug on any build of Emacs.  Please
instrument the following code around line 21053 of xterm.c as follows:


		      /* See the comment on top of x_cache_xi_devices
			 for more details on how scroll wheel movement
			 is reported on XInput 2.  */
		      delta = x_get_scroll_valuator_delta (dpyinfo, device,
							   i, *values, &val);
		      values++;

		      if (!val)
			{
			  other_valuators_found = true;
			  continue;
			}

		      printf ("%g\n", delta); <=== add this instrumentation

		      if (delta != DBL_MAX)
			{

and show what is printed when you try to scroll using the mouse.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57476; Package emacs. Full text available.

Message received at 57476 <at> debbugs.gnu.org:


Received: (at 57476) by debbugs.gnu.org; 30 Aug 2022 01:26:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 29 21:26:03 2022
Received: from localhost ([127.0.0.1]:34170 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oSq0w-0004E5-Mw
	for submit <at> debbugs.gnu.org; Mon, 29 Aug 2022 21:26:02 -0400
Received: from sonic311-25.consmr.mail.ne1.yahoo.com ([66.163.188.206]:37797)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1oSq0s-0004Dm-CX
 for 57476 <at> debbugs.gnu.org; Mon, 29 Aug 2022 21:26:00 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1661822751; bh=aXdMbsDZnqqHK9uVc+DPKRPttq5HXjDC2uzMPhmciqk=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=nTASEg15Ro1k/6WvVQLdUekEtcb6Wlet4fhvM9C6TnO2cy/1C+kDfKQTrEBgdsx0VwgCw6h0MppBto+iJvzJfvQlGsReNBHcciYUAoEYeBErjKo8r828HjCR8dj+HFG4buoAmRE80UR1z9KZkpVp2PGn5TTahAG9/HdynT3R67ObtE+DRsHM9ZYbO0qQ0QTdwQd5KWUCMNuI4UH6NVUr8JrhaBbPHcJFctYVsnmCxboohK9RP2DWUqukV2qAGO2hPzdesPAEHM6azBJSIH73bxhYHjcK93gr6EQZ5kd7+dfPw/HElXmv/r0S7dCTdFAz65Mt9xSA+kQ+l4JypH7/uw==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1661822751; bh=a5Q0xtvtyg4DZ2OssJzcn7mXSy06z2xK+NLbQR3CAd0=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=L4+J7WWC8yea6TaiWlBWLlXwcVxFBavbDubEQ1bIw2zNc6Im/H2GU8myHJJNBSkTA9Lzg+9hqbS2GHC7yZAHhceRzy01KRMnpZ6VW8wIhF9S6ZLzboiCPl3yqd+r+BFSpYOsqBlGJ0vyDu2KIMxqr7gXVhOaio57anbmIOcefr/s7LWcN2mI23OU+5nCixiRLrLDAwmVJJSnGc3xACbInVgBWw1XHCN7WRvye9HV4JymPPMIDZ+A99z0LJ8bVGM1J6b4ockM+Wag1ImqJVGkN2kwr9qVvBlOJN1flNGPPit/MjxHui3WrciHPe8QEA7O9lgbzn3crEp2M+v09H6f6w==
X-YMail-OSG: yDYLN30VM1lWYeow8uH0e8jAAmbblX4gw4LjEA64Wopu1HF.jbOYkjpFWDmGBwc
 5Nb7wcUyw0JtrGReusaRFOC4IECRKuuDjMUvK0sdod3P0265EQHK0DJXqj4TxrXjFIL9YXGom1DL
 DZ91dPnt1X2SttbVaAJWRETdb7CPVxLfqy.CVkFIJgr.bHimqoULMrAKhu.BF4dluOHD6Woo3V14
 PtajJBa7KwBx9422XS0OEVSA6Ifa0NFCspNwBayqmxF4VIsQj6xA2J6zQ22GRvO_okGQ_OkrHXXN
 0XriG5BA99zGWuS0ta4VlLjLwcF5p8qmA9j5idl59NKADYP5BviGlVPzPU31BaIfiP3oGa3EN1_1
 89YspEuxDs9Im_OSDyOkznHGRQI.cz00uyFRWIZaVVosqVLBVXYXHMEzcav5elF7bemVj44.zcu5
 QDtffyqa_KlzkKv.ReICaTTaWSVcMdCt.eVQPeNuz5egtU.R8AlVFxG4PTDawtCzoFZrJfuIm8NY
 otHrRqLs_cZp5QxD133_g.NW5i10FT3P42D0lMl0dewtzG5x6rWWYkqt_W5bq8TbXVKBBGm1iz5D
 77bfx7URd8vtWY_910Hn.ZWijVh2NQKntb5nxX1x0GOrXybDVK5577C7tQZYXnRDsnilpA_V4QmB
 ftyY5DUIqZwDC1p4jjeIoFgz4N1ZU9_w0ax3zD1sw_YlFydLI62syx5emsgkir1tSRLC52xkFEDw
 wkTbf5dzjNZ626Ar9i6YLS8zXnb4Vrh1hr2wUzHh4nWl92xpaaGYgnzuEb9iUhQbbVuJkhRIUSs4
 S5NGBnKr05E9teeJih2g7dHTA.0bEj5H3aFjsDEiv2sDb4_C.jjXxGN7v6bDzDIki4iyu6QM8Y7d
 cJ3m3fGpFwpC1IO6a5W5hr_FvC6vfs2tX6GfCMMlOLk1bkrUmNYYLGIeeHwx.iOj2MqXehPdQRo_
 Ioh2dIg_xSjRpiVPkeO_2jbI7WxSyH3Hm8thmhsyaWKFvPpRrE1JfniqYeHFPKzUGyIinMT27Y.7
 e.dT22.DVL7In4gq7KVUn1qFk9b3EEqVuSalHIjOeR_8aNaiqi_d99m3U1nGjGe6BRAyzUGBRzBb
 FOCbLr4Jl7RFpnj5JDMPW.H0lJzkkwrauCmfLEGIw5TFUuSKuu7vTuRySUnnzuQrWcSKjhBRDr4w
 CrTGcRkQO0KMxiOxdrJgz3nvnWhz.teMTve7u4_9VHQGyCs70mysnoyD04w4XfiyMHcSVbL0YsBq
 0SohO2_ZPG8zEQUQUCmEsIYa.NpK1PJtFi9rxtcojGZIO2cAJdTLvVYfDeI1ChexGDUs0toDjlXS
 VJOpPjmAnBsCCZ3RzUImA0_kwOQFZHZkXto0PfOvqpkeJpzk0rJwG0N54AJ5J1ANrd8MbkDL1tOV
 .xAnY5uVG3_llc3166JrBx3ooyOjtGdDKfnKH9.9HNabS9v_4PqADLFV3EXNydn.B65TyKKzTz7i
 WJ9MzVTNTBV3HGp8nborD9IvV9UfL.VbmVyBsfT0XxfVGw229yyr8ZOrowjdhkK5lTW3jN9xlmy5
 I61I0y3njPDzwaAGnqYwZl7JDFepl3WVGOPO4k0_fIiHwbsaiY1Ikg8v8z5WhrXOD58ND8zrXFgj
 U7VVe4kfsrdzczClbYSddZQ6uNoWmmKHr47737errjRV3UxNNSgrumdQRXfRokyFPhXgvG_9pSD4
 dJGbamSsr3xS0dZRJhuXTWZLAwVMDrrKp4ktHEBcvIte.fNOIMQAuXK1dCpIML.7gR8NVuu.5Bd3
 WYBf3Xe3WR1gfmPKNdg0p8X5sk.Ym1fOVafsUlKz93P6dprTeGmUVY2Rl9Ved5rkokLv4K7slXn2
 zJ92Y1_iqGxcHMcNwCXVM.1e2YI_DGuVald8WMBkAygbs6Jwo2kdOJW3n.QNn8Y_RDkHPVCU94k5
 tkFKY0QMKlnHTC6E5C7BTyTqLk962A5.Y8nvX2j7k9nMYCldmJenvLj5qacRpPPhwIJ9DN1pyFp7
 AD_9opChThRLGsy_N3OecrcLPGIFs0x27giD2TT5a6K.jNUauInarnVLrumvLDg4WkQklVsM.lui
 FytutMl2UMqaFKBgw4DUwuRD1nkWEnz5yK0YTsukwCYC2zQKladLbzsulA6h83Ja.bgmHhbdhvAK
 4BeFXjMp0mbjaSMvVIApoDe3XiElRIE8UUX6MyvW7Lbd3.StAhukVrU3.9JMllB0fs3_YwfRHSXX
 z_pstu5DxuDShTR.dtF_UVC1tOkKPiRY61.xyfuYV3BHXFSntJz.PqHHn75TGmznnL9Q8p8lafUm
 kezetWg--
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic311.consmr.mail.ne1.yahoo.com with HTTP; Tue, 30 Aug 2022 01:25:51 +0000
Received: by hermes--canary-production-sg3-6f58cd9b5-jrp6f (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID 43711030a9786dde11857b4444adc915; 
 Tue, 30 Aug 2022 01:25:48 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#57476: 29.0.50; Mouse wheel event ignored on Lucid build
References: <8735dfe08x.fsf@HIDDEN>
Date: Tue, 30 Aug 2022 09:25:45 +0800
In-Reply-To: <8735dfe08x.fsf@HIDDEN> (Stephen Berman's message of "Mon, 29 Aug
 2022 13:51:26 +0200")
Message-ID: <87tu5uplnq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20595
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 945
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57476
Cc: 57476 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stephen Berman <stephen.berman@HIDDEN> writes:

> 0. emacs -Q
> 1. Display a buffer with enough lines to scroll, e.g.:
>    C-x d /path/to/emacs/sources RET
> 2. Scroll mouse wheel
> => The buffers fails to scroll.
> 3. Type `C-h k' and then scroll the mouse wheel
> => The echo area shows no input, only the prompt "Describe the following
>    key, mouse click, or menu item: "
>
> I see this only on the Lucid build.  Also on Lucis, if I hold down
> mouse-1 or mouse-3 and simultaneously scroll the wheel, then the buffer
> does scroll.  After releasing mouse-1 or mouse-3, scrolling the wheel
> scrolls the buffer once by one line (either up or down).  Further
> scrolling of the wheel fails to scroll the buffer.

To be clear here, you are talking about wheel-up and wheel-down events,
correct?

Input extension builds do not normally report mouse-1 or mouse-3; that
only happens if the input extension could not be set up for some reason.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57476; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Aug 2022 11:51:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 29 07:51:33 2022
Received: from localhost ([127.0.0.1]:60266 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oSdIj-0003kX-Hk
	for submit <at> debbugs.gnu.org; Mon, 29 Aug 2022 07:51:33 -0400
Received: from lists.gnu.org ([209.51.188.17]:59608)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1oSdIh-0003kQ-Mv
 for submit <at> debbugs.gnu.org; Mon, 29 Aug 2022 07:51:31 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:46276)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <stephen.berman@HIDDEN>)
 id 1oSdIh-0003Ke-Ex
 for bug-gnu-emacs@HIDDEN; Mon, 29 Aug 2022 07:51:31 -0400
Received: from mout.gmx.net ([212.227.15.19]:34475)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <stephen.berman@HIDDEN>)
 id 1oSdIe-0006RB-Vu
 for bug-gnu-emacs@HIDDEN; Mon, 29 Aug 2022 07:51:31 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1661773887;
 bh=fORodA4JWIytu+PwiTXoVRf4mnDn2dVxjfBf2S7MKn0=;
 h=X-UI-Sender-Class:From:To:Subject:Date;
 b=lY8Fchb9S9jBii7U0qowInqiX625WU9r1wUDge14BG1YwZ//TjsBrcqVpXYhBnJIH
 wc/sy1GVJn8E76S8qYs1+cFNOaPUmNhmtZ9nASC+fero1M0yU3MPSKkhzf54xp/j3U
 lAn4YvLkFyeH0EnAoKZyLznSlMhiuPvwlL0Kus44=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from strobelfs2 ([89.246.38.203]) by mail.gmx.net (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1M2O2W-1oPsfp11nq-003tLs for
 <bug-gnu-emacs@HIDDEN>; Mon, 29 Aug 2022 13:51:27 +0200
From: Stephen Berman <stephen.berman@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; Mouse wheel event ignored on Lucid build
Date: Mon, 29 Aug 2022 13:51:26 +0200
Message-ID: <8735dfe08x.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:XCXBqNsLthFsDcZRB6fp2JEh1CHUA5OpcMwR+NS9Yy19WYjKG7Z
 zbF4NXHyrbiFrw1+3jcpuU+G5dT5W6orZOsx2vj6C8j+eT+ADSB/G6g5MT9tS7EU1r12wLk
 nb0xDS6lXY+ry4+rM7rVWvO7TvnEhYvb2MLlVltT1nDDmK6i0A3IdiaWuadpUpS3YKPX8Dq
 HZLIuHt8QmtFfldRg9Bqg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:pdAXoqIQD04=:ZLwjXDl8PyFgX9TtRzQh7b
 uj+JyDWmMgaob6u+bb5szVu1Xdm3JjTLeR7ctokvt2DWh3PToa3pHIPcUoQcT5A4QlrCm8eKr
 MP0BJ+Bz3/ww2Ky0fI6snp6ilxoky4lcaMYLcmwTe55EPc5Kcx8c8z7uwJrPjNDdtSF9GTiVX
 PF2nJPIupMjCmLyVYtffYJ+1tVHl2oaZEl4/8wLF23Af7tEFn8tOrzC0CkzzkoAjglUGlJUoK
 SnnpLsILTeAlGHlwCY1UYudFVAFYIjtZ6jTcaYzqES8JD5rO8ycHYKppSP2Q/Nf5+CpEpmu8P
 lTdZbEHQ4mTkZwpyBdr87WpDBSXihNB3P2y4p+DFN8dy+q0a3i1Pdxdu38DlxKsc/y3mGznfi
 PD6Lnf4nKQqP6PZ3Jn0/3nfRSuJ3IrluXHAqC5LxWckpeiSjB1ssQ8vJQOo5MBlFQa05nXLrO
 wFXacaDVjo+ARYfevG4woCJmtmPg6YNV596QTdrH8UuEOBEy5fdKN0/sEheAkI69KliAk3BAL
 VMBVHvpf6IhoUpyIrs37WsSaTm3f2H+XfL9gyd8ngjwlNU8u+gMZowbw9nt4nwbQ1dwYEFY20
 wEarTeIkcuPhi8qY8XD0uzphytrRL6+ilNcsobj2YGpzK61g2rn6g6b3OOidtUAF5/oUcEab/
 u7ELsC+/2QuUrIA6zeuWt1W2BfgtCXzc936Q9X5CogI5adC0xzNXq7afF+70rgjQMe3i1nwcF
 2w87Mh85gQV3dYI6TBXRUszavTTxHs2o7YVN7o2zQq4hl/rxVKq2oCC58ZcBqlQjk7KbMb99P
 Z6x1tZstrbZiMngximEbeQNWrVkDr7eC6DWP7nf/puXNPSkKPWp/VudKo2HJKEWr+/YpDS7sT
 ZM8gki/VvJ1tWch7Vg32jBwFbkkrMa9XpMLtW+l0rSPEsiD7V+xuQcpNE22xmpaNOCfSE3dKD
 oTEB6MlllRxZ/oJK9fzjB0+wWbgJrwIIoeLjLBKUxBtbb57mgv8Z7yjU0JDpdZaTX/DKrlYC4
 UOlUgkyTd66bHTTrRO2qGbnw7sQOXIouroWhBirJIKLebRCvW/yiB4CrwO8w+BQTgjZCGA/Rm
 Zr4CvZKGE5LoNCGS8VtYjHuS0ukcXO9Z1Bu9FmP4rVuB2AsniWh/21JUg==
Received-SPF: pass client-ip=212.227.15.19;
 envelope-from=stephen.berman@HIDDEN; helo=mout.gmx.net
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

0. emacs -Q
1. Display a buffer with enough lines to scroll, e.g.:
   C-x d /path/to/emacs/sources RET
2. Scroll mouse wheel
=> The buffers fails to scroll.
3. Type `C-h k' and then scroll the mouse wheel
=> The echo area shows no input, only the prompt "Describe the following
   key, mouse click, or menu item: "

I see this only on the Lucid build.  Also on Lucis, if I hold down
mouse-1 or mouse-3 and simultaneously scroll the wheel, then the buffer
does scroll.  After releasing mouse-1 or mouse-3, scrolling the wheel
scrolls the buffer once by one line (either up or down).  Further
scrolling of the wheel fails to scroll the buffer.


In GNU Emacs 29.0.50 (build 2, x86_64-pc-linux-gnu, X toolkit, cairo
 version 1.17.6, Xaw scroll bars) of 2022-08-28 built on strobelfs2
Repository revision: 35af917f187719fecadde278a51fd10bf47eed07
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12101004
System Description: Linux From Scratch r11.0-165

Configured using:
 'configure -C --with-x-toolkit=lucid --with-xinput2 'CFLAGS=-Og -g3''

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBSYSTEMD LIBXML2 MODULES NOTIFY INOTIFY PDUMPER PNG RSVG
SECCOMP SOUND SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BARS WEBP X11 XDBE XIM
XINPUT2 XPM LUCID ZLIB




Acknowledgement sent to Stephen Berman <stephen.berman@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#57476; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 30 Aug 2022 15:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.